## ros-kinetic-robotnik-sensors 1.1.2

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8.3)
project(robotnik_sensors)

find_package(catkin REQUIRED COMPONENTS gazebo_plugins hector_gazebo_plugins)

catkin_package()

install(
  DIRECTORY meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-robotnik-sensors (1.1.2-0xenial) xenial; urgency=high

  * solved depreciation warnings
  * merging with kinetic-multidevel
  * Adding dependencies and updating maintainers list
  * updating imu_plugin: topic and link names
  * corrected collision box d435
  * intel_d435 updated to run in gazebo
  * added intel realsense d435
  * adding frameid to imu_hector_plugin
  * collision model of sick s300 corrected
  * merging with kinetic multi that removes namespaces in the frames
  * hokuyo ust20lx. fixing frame name to avoid namespace in it
  * hokuyo ust10lx. changing links relation
  * changing collision geometry for the orbbec
  * adding / before any frame name
  * prefix_topic param set to default values
  * axis_m5013: changed name to prefix
  * setting hokuyos laser_link z to 0.0 from the base_link
  * renamig prefix_scan with prefix_topic for all the 2d lasers
  * adding prefix topic for the orbbec astra
  * adding prefix_scan to rplidars
  * adding prefix_scan to all 2d lasers
  * prepended 'hardware_interface/' before 'PositionJointInterface' in axis ptz urdf
  * changed wrong name using prefix
  * orbbec_astra: removing the suffix link from frame links
  * laser hokuyo_urg04lx updated
  * camera name changed
  * hokuyo_urg04 model updated
  * camera name changed
  * added ust20 laser sensor
  * robotnik_sensors: adding sensors from other branches
  * added link position to hokuyo lasers
  * links of xacro files renamed
  * prefix added to imu hector urdf
  * udf updated with prefix
  * updated urdf to multirobot
  * Merge branch 'indigo-devel' into kinetic-devel
  * sensors updated to multirobot
  * added urdf.xacro of sick_tim551
  * added urdf.xacro of rplidar_a2
  * added meshes of sick_tim551
  * added meshes rplidar_a2
  * adding prefix_topic and prefix_frame for multirobot
  * adding prefix_frame and prefix_topic
  * robotnik_sensors: removed _laser from rplidar_a2 frame
  * robotnik_sensors: adding pointgrey_bumblebee
  * updated model of axis camera
  * added sick_tim551 to all_sensors
  * added sick_tim551
  * Adding RPLIDAR A2 model
  * axis_m5013: changing joint names and new position adjustments
  * adding param to ignore de tf_prefix of the laser plugin (needs modified version of the plugin
  * added / to gazebo plugin frame name

 -- Angel Soriano <asoriano@robotnik.es>  Sun, 13 May 2018 22:00:00 -0000

ros-kinetic-robotnik-sensors (1.1.1-0xenial) xenial; urgency=high

  * Merge indigo to kinetic
  * 1.0.5
  * updated changelog
  * 1.0.4
  * update changelog
  * MOD: Fixed problem with rotations
  * --amend
  * standarized all sensors: frames, joints, topics and params
  * reduced rate drift and associated gaussian noise
  * 1.0.3
  * updated changelog
  * Contributors: Jose Rapado, Marc Bosch-Jorge, carlos3dx, rguzman1

 -- Carlos Villar <cvillar@robotnik.es>  Thu, 15 Dec 2016 23:00:00 -0000

ros-kinetic-robotnik-sensors (1.1.0-0xenial) xenial; urgency=high

  * updated changelog
  * Contributors: carlos3dx

 -- Carlos Villar <cvillar@robotnik.es>  Thu, 01 Sep 2016 09:19:07 +0200

ros-kinetic-robotnik-sensors (1.0.5-0xenial) xenial; urgency=high

  * updated changelog
  * 1.0.4
  * update changelog
  * MOD: Fixed problem with rotations
  * --amend
  * standarized all sensors: frames, joints, topics and params
  * reduced rate drift and associated gaussian noise
  * Contributors: Jose Rapado, Marc Bosch-Jorge, carlos3dx, rguzman1

 -- Carlos Villar <cvillar@robotnik.es>  Fri, 16 Dec 2016 10:29:20 +0100

ros-kinetic-robotnik-sensors (1.0.3-0xenial) xenial; urgency=high

  * updated changelog
  * modified xmls:xacro
  * Merge branch 'indigo-devel' of https://github.com/RobotnikAutomation/robotnik_sensors into indigo-devel
  * Modified .xacro files
  * corrected name of orientation parameters
  * updated gps and imu_hector parameters
  * resolved conflict
  * added ueye camera
  * Added rplidar to all_sensors
  * Contributors: Marc Bosch-Jorge, carlos3dx, summit

 -- Carlos Villar <cvillar@robotnik.es>  Thu, 01 Sep 2016 09:12:30 +0200

ros-kinetic-robotnik-sensors (1.0.2-0xenial) xenial; urgency=high

  * updated changelog
  * Setting TIM571 params
  * Added Sick Tim571 sensor
  * New collision model for s3000
  * Merge branch 'indigo-devel' of https://github.com/RobotnikAutomation/robotnik_sensors into indigo-devel
  * adding the rplidar sensor
  * sick_s300: changed collision model
  * kinectv2: added model with no base and corrected bounding box of collision
  * Merge remote-tracking branch 'origin/indigo-devel' into indigo-devel
  * asus_xtrion_pro: corrected typo
  * orbbec_astra: now calls the correct gazebo sensor
  * Contributors: Jose Rapado, Marc Bosch-Jorge, RomanRobotnik, carlos3dx

 -- Carlos Villar <cvillar@robotnik.es>  Tue, 12 Jul 2016 08:30:38 +0200

ros-kinetic-robotnik-sensors (1.0.1-0xenial) xenial; urgency=high

  * Adding CHANGELOG
  * Setting build & run dependencies
  * adding .gitignore
  * Removed author
  * Removing run dependencies and adding mantainers
  * corrected angular resolution
  * updated s300 standard sensor params
  * added sick s300
  * changed scale to 1 as the meshes were updated to scale 1
  * added imu_hector_plugin.urdf.xacro, that seems to work better in sim
  * reduced gps drift for rtk tests
  * changed scale in asus_xtion_pro.urdf.xacro for new dae
  * Merge branch 'indigo-devel' of https://github.com/RobotnikAutomation/robotnik_sensors into indigo-devel
  * updated asus_xtion_pro_live.dae
  * fixing 'scale' variable name. It was colliding between asus_xtion and orbec_astra sensors
  * changed cam_link to have a reference frame for mounting in robot, not very useful at al...
  * orbbec_astra frames updated to be compatible with gazebo plugin
  * corrected scale and positions of optical frames
  * added orbbec to all_sensors.urdf.xacro
  * minor change names
  * Merge branch 'indigo-devel' of https://github.com/RobotnikAutomation/robotnik_sensors into indigo-devel
    locally added orbbec astra sensor


=== debian/control ===
Source: ros-kinetic-robotnik-sensors
Section: misc
Priority: extra
Maintainer: Angel Soriano <asoriano@robotnik.es>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-gazebo-plugins, ros-kinetic-hector-gazebo-plugins, ros-kinetic-urdf, ros-kinetic-xacro
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-robotnik-sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-gazebo-plugins, ros-kinetic-hector-gazebo-plugins, ros-kinetic-urdf, ros-kinetic-xacro
Description: Robotnik standard sensors description.
 URDF and meshses.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-robotnik-sensors//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
